# frozen_string_literal: true
require 'horn_of_plenty/queries/fetch'

module  HornOfPlenty
module  Adapters
module  Github
module  Queries
class   ListPullRequests < HornOfPlenty::Queries::Fetch
  def translate(query)
    query.delete(:id)

    rename_key(from: :author_id,   to: :creator)
    rename_key(from: :assignee_id, to: :assignee)
    rename_key(from: :status,      to: :state)

    query
  end
end
end
end
end
end
