# frozen_string_literal: true
require 'horn_of_plenty/response'
require 'horn_of_plenty/adapters/github/error'

module  HornOfPlenty
module  Adapters
module  Github
class   Response < HornOfPlenty::Response
  def error
    Github::Error.lookup(status_code,
                         status_message)
  end
end
end
end
end
