# frozen_string_literal: true
module  HornOfPlenty
module  Queries
class   Fetch
  attr_accessor :query

  def initialize(attrs)
    self.query = attrs.dup
  end

  def to_h
    @to_h ||= translate(query)
  end
  alias to_params to_h

  private

  def translate(query)
    query
  end

  def rename_key(from:, to:)
    return unless query.has_key?(from)

    query[to] = query[from]
    query.delete(from)
  end

  def change_value(key:, from:, to:)
    return unless query.has_key?(key)

    query[key] = to if query[key] == from
  end
end
end
end
