# frozen_string_literal: true
require 'horn_of_plenty/adapters/github/client'
require 'horn_of_plenty/adapters/github/requests/list_pull_requests'
require 'horn_of_plenty/repository'

module  HornOfPlenty
module  Adapters
module  Github
module  Repositories
class   PullRequest < HornOfPlenty::Repository
  private

  def client
    @client || Github::Client.pool
  end

  def fetch_class(_attrs)
    @fetch_class ||= Requests::ListPullRequests
  end
end
end
end
end
end
