# frozen_string_literal: true
require 'horn_of_plenty/adapters/github/response'
require 'horn_of_plenty/adapters/github/collections/card'
require 'horn_of_plenty/adapters/github/parsers/card'

module  HornOfPlenty
module  Adapters
module  Github
module  Responses
class   ListCards < Github::Response
  def result
    @result ||= Collections::Card.new(items:  items,
                                      parser: parser_class)
  end

  def parser_class
    @parser_class ||= Parsers::Card
  end
end
end
end
end
end
